TUNEFS(8)

NAME
tunefs - tune up an existing UFS file system

SYNOPSIS
tunefs [-A] [-a enable | disable] [-e maxbpg] [-f avgfilesize] [-j enable | disable] [-J enable | disable] [-L volname] [-l enable | disable] [-m minfree] [-N enable | disable] [-n enable | disable] [-o space | time] [-p] [-s avgfpdir] [-S size] [-t enable | disable] special | filesystem

DESCRIPTION
The tunefs utility is designed to change the dynamic parameters of a UFS file system which affect the layout policies. The tunefs utility cannot be run on an active file system. To change an active file system, it must be downgraded to read-only or unmounted.

The parameters which are to be changed are indicated by the flags given below:

-A  The file system has several backups of the super-block. Specifying this option will cause all backups to be modified as well as the primary super-block. This is potentially dangerous - use with caution.

-a enable | disable
    Turn on/off the administrative POSIX.1e ACL enable flag.

-e maxbpg
    Indicate the maximum number of blocks any single file can allocate out of a cylinder group before it is forced to begin allocating blocks from another cylinder group. Typically this value is set to about one quarter of the total blocks in a cylinder group. The intent is to prevent any single file from using up all the blocks in a single cylinder group, thus degrading access times for all files subsequently allocated in that cylinder group. The effect of this limit is to cause big files to do long seeks more frequently than if they were allowed to allocate all the blocks in a cylinder group before seeking elsewhere. For file systems with exclusively large files, this parameter should be set higher.

-f avgfilesize
    Specify the expected average file size.

-j enable | disable
    Turn on/off soft updates journaling.

-J enable | disable
    Turn on/off gjournal flag.

-L volname
    Add/modify an optional file system volume label.

-l enable | disable
    Turn on/off MAC multilabel flag.

-m minfree
    Specify the percentage of space held back from normal users; the minimum free space threshold. The default value used is 8%. Note that lowering the threshold can adversely affect performance:

    •   Settings of 5% and less force space optimization to always be used which will greatly increase the overhead for file writes.

    •   The file system's ability to avoid fragmentation will be reduced when the total free space, including the reserve, drops below 15%. As free space approaches zero, throughput can degrade by up to a factor of three over the performance obtained at a 10% threshold.

    If the value is raised above the current usage level, users will be unable to allocate files until enough files have been deleted to get under the higher threshold.

-N enable | disable
    Turn on/off the administrative NFSv4 ACL enable flag.

-n enable | disable
    Turn on/off soft updates.

-o space | time
    The file system can either try to minimize the time spent allocating blocks, or it can attempt to minimize the space fragmentation on the disk. Optimization for space has much higher overhead for file writes. The kernel normally changes the preference automatically as the percent fragmentation changes on the file system.

-p  Show a summary of what the current tunable settings are on the selected file system. More detailed information can be obtained from the dumpfs(8) utility.

-s avgfpdir
    Specify the expected number of files per directory.

-S size
    Specify the softdep journal size in bytes. The minimum is 4M.

-t enable | disable
    Turn on/off the TRIM enable flag. If enabled, and if the underlying device supports the BIO_DELETE command, the file system will send a delete request to the underlying device for each freed block. The trim enable flag is typically set when the underlying device uses flash-memory as the device can use the delete command to pre-zero or at least avoid copying blocks that have been deleted.

At least one of the above flags is required.

FILES

/etc/fstab
    read this to determine the device file for a specified mount point.

SEE ALSO
fs(5), dumpfs(8), gjournal(8), growfs(8), newfs(8) M. McKusick, W. Joy, S. Leffler, R. Fabry, A Fast File System for UNIX, ACM Transactions on Computer Systems 2, 3, pp 181-197, August 1984, (reprinted in the BSD System Manager's Manual, SMM:5).

HISTORY
The tunefs utility appeared in 4.2BSD.

BUGS
This utility does not work on active file systems. To change the root file system, the system must be rebooted after the file system is tuned.

You can tune a file system, but you cannot tune a fish.